/* LatVis
 * Copyright (C) 2002 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// class of the application window button collection

#ifndef __APPBUTTONS_H__
#define __APPBUTTONS_H__

#include <gtk--/table.h>

namespace Gtk { class ToggleButton; }

class AppButtons : public Gtk::Table {
 public:
  enum button_t {SELECT, NEW, REMOVE, COVER, REMOVE_COVER, MARK_LOWER,
		 MARK_UPPER, MARK_PATHS};
 protected:
  char button_count;
  Gtk::ToggleButton **buttons;
  char button;
 public:
  AppButtons();
  ~AppButtons() { delete [] buttons; }
  button_t getSelectedButton() { return (button_t)button; }
  void selectButton(button_t b);
};

#endif
