/* LatVis
 * Copyright (C) 2002 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// class of the application window menu

#ifndef __APPMENU_H__
#define __APPMENU_H__

#include "orderedsets.h"
#include <gtk--/menu.h>

class AppWindow;

class AppFileMenu : public Gtk::Menu {
 protected:
  OrderedSets *orderedsets;
  AppWindow *window;
  void new_();
  void open();
 public:
  AppFileMenu(AppWindow *win, OrderedSets *oss);
  ~AppFileMenu() {}
};

#endif
